[dpdk-dev] [PATCH] scripts: print failed directory when testing build

Thomas Monjalon thomas.monjalon at 6wind.com
Fri Jul 15 15:55:03 CEST 2016


The script test-build.sh can be used to test building several
targets with different configurations. The directory name reflects
the target and the customized configuration.
When there is a failure, it is convenient to print this build
directory to quickly know which case is failing without scrolling
the build log history.

Signed-off-by: Thomas Monjalon <thomas.monjalon at 6wind.com>
---
 scripts/test-build.sh | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/scripts/test-build.sh b/scripts/test-build.sh
index 30dfdf5..d2cafc1 100755
--- a/scripts/test-build.sh
+++ b/scripts/test-build.sh
@@ -96,12 +96,13 @@ configs=${*:-$DPDK_BUILD_TEST_CONFIGS}
 success=false
 on_exit ()
 {
-	if [ "$DPDK_NOTIFY" = notify-send ] ; then
-		if $success ; then
+	if $success ; then
+		[ "$DPDK_NOTIFY" != notify-send ] || \
 			notify-send -u low --icon=dialog-information 'DPDK build' 'finished'
-		elif [ -z "$signal" ] ; then
+	elif [ -z "$signal" ] ; then
+		[ -z "$dir" ] || echo "failed to build $dir" >&2
+		[ "$DPDK_NOTIFY" != notify-send ] || \
 			notify-send -u low --icon=dialog-error 'DPDK build' 'failed'
-		fi
 	fi
 }
 # catch manual interrupt to ignore notification
@@ -232,6 +233,7 @@ for conf in $configs ; do
 		O=$(readlink -m $dir/examples/performance-thread)
 	unset RTE_TARGET
 	echo "################## $dir done."
+	unset dir
 done
 
 if ! $short ; then
-- 
2.7.0



More information about the dev mailing list